# io.bkbn.kompendium.core.constraint

kompendium
2.0.4
2.0.4 2.0.3 2.0.2 2.0.1

# Package io.bkbn.kompendium.core.constraint

## Functions

scanForConstraints
Link copied to clipboard
fun ArraySchema . scanForConstraints (prop: KProperty1 <*, *>): ArraySchema
Content copied to clipboard
fun EnumSchema . scanForConstraints (prop: KProperty1 <*, *>): EnumSchema
Content copied to clipboard
fun FormattedSchema . scanForConstraints (prop: KProperty1 <*, *>): FormattedSchema
Content copied to clipboard
fun SimpleSchema . scanForConstraints (prop: KProperty1 <*, *>): SimpleSchema
Content copied to clipboard
fun ComponentSchema . scanForConstraints (clazz: KClass <*>, prop: KProperty1 <*, *>): ComponentSchema
Content copied to clipboard
fun ObjectSchema . scanForConstraints (clazz: KClass <*>, prop: KProperty1 <*, *>): ObjectSchema
Content copied to clipboard